Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Interface BeanValidatorService

    public interface BeanValidatorService

This interface describes service that gets Bean Validator constrains for EL-expressions

Author:
  asmirnov@exadel.com

Method Summary
`Collection<ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)` Get all constrains for given EL-expression
`Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)` Validate expression for a new value.
`Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object object, Class<?>... groups)` Validate entire object.

Method Detail

### getConstrains

    Collection<ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                  javax.el.ValueExpression expression,
                                                  String message,
                                                  Class<?>... groups)

  Get all constrains for given EL-expression

  Parameters:
    `context` -
    `expression` -
    `message` - TODO
  Returns:

### validateExpression

    Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                          javax.el.ValueExpression expression,
                                          Object newValue,
                                          Class<?>... groups)

  Validate expression for a new value.

  Parameters:
    `context` -
    `expression` -
    `newValue` -
    `groups` -
  Returns:

### validateObject

    Collection<String> validateObject(javax.faces.context.FacesContext context,
                                      Object object,
                                      Class<?>... groups)

  Validate entire object.

  Parameters:
    `context` -
    `object` -
    `groups` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.